summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMiklós Tóth2020-11-27 00:07:51 +0000
committerMiklós Tóth2020-11-27 00:07:51 +0000
commitd5973163ffda93f29565c0a283ae70760a9aa946 (patch)
treeff935109c9e903d4a3cbaed8613f1a8173f8e217
parent48ed55ae7ff9d07eb9f10cb748b951e2a5ef40bf (diff)
downloadaur-linux-xanmod-anbox.tar.gz
automatic update
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD5
2 files changed, 6 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1c443d827bf..0b3667c45d9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = linux-xanmod-anbox
pkgdesc = Linux Xanmod with ashmem and binder enabled for Anbox
- pkgver = 5.9.10
+ pkgver = 5.9.11
pkgrel = 1
url = http://www.xanmod.org/
arch = x86_64
@@ -14,14 +14,14 @@ pkgbase = linux-xanmod-anbox
options = !strip
source = https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.9.tar.xz
source = https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.9.tar.sign
- source = https://github.com/xanmod/linux/releases/download/5.9.10-xanmod1/patch-5.9.10-xanmod1.xz
+ source = https://github.com/xanmod/linux/releases/download/5.9.11-xanmod1/patch-5.9.11-xanmod1.xz
source = choose-gcc-optimization.sh
source = 0001-ZEN-Add-sysctl-and-CONFIG-to-disallow-unprivileged-CLONE_NEWUSER.patch
validpgpkeys = ABAF11C65A2970B130ABE3C479BE3E4300411886
validpgpkeys = 647F28654894E3BD457199BE38DBBDC86092693E
sha256sums = 3239a4ee1250bf2048be988cc8cb46c487b2c8a0de5b1b032d38394d5c6b1a06
sha256sums = SKIP
- sha256sums = e897b0f10a200e46373dfe09bcb0829366c5a3ad5ccf1b3aa06ff4bd18eceea7
+ sha256sums = 8a800e6b341e0e4117291b4501bc5bb158d4da7851bca23e5ae985c82898e77c
sha256sums = 2c7369218e81dee86f8ac15bda741b9bb34fa9cefcb087760242277a8207d511
sha256sums = 6c66dba73251440352f93ff32b72f5dd49536d0f17ef9347867660fd3a626991
diff --git a/PKGBUILD b/PKGBUILD
index 3cc438f828b..bdd3ff47d1b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -66,7 +66,7 @@ _makenconfig=
### IMPORTANT: Do no edit below this line unless you know what you're doing
pkgbase=linux-xanmod-anbox
-pkgver=5.9.10
+pkgver=5.9.11
_major=5.9
_branch=5.x
xanmod=1
@@ -99,12 +99,13 @@ done
sha256sums=('3239a4ee1250bf2048be988cc8cb46c487b2c8a0de5b1b032d38394d5c6b1a06'
'SKIP'
- 'e897b0f10a200e46373dfe09bcb0829366c5a3ad5ccf1b3aa06ff4bd18eceea7'
+ '8a800e6b341e0e4117291b4501bc5bb158d4da7851bca23e5ae985c82898e77c'
'2c7369218e81dee86f8ac15bda741b9bb34fa9cefcb087760242277a8207d511'
'6c66dba73251440352f93ff32b72f5dd49536d0f17ef9347867660fd3a626991')
# If use_cachy=y then download cachy patch
if [ "$use_cachy" = "y" ]; then
+ echo "Cachy branch is not ready yet..." && exit 1
source+=("https://github.com/xanmod/linux/releases/download/${pkgver}-xanmod${xanmod}-cachy/patch-${pkgver}-xanmod${xanmod}-cachy.xz")
sha256sums+=('8dc6a2bc5270b7cc784c52650bb15a3b66792f5d49ef1d49a38da19a660e1472')
fi